LVMETAD(8)

NAME
lvmetad - LVM metadata cache daemon

SYNOPSIS
lvmetad [-l {all|wire|debug} ] [-s path ] [-f] [-h] [-V] [-?]

DESCRIPTION
lvmetad is a metadata caching daemon for LVM. The daemon receives notifications from udev rules (which must be installed for LVM to work correctly when lvmetad is in use). Through these notifications, lvmetad has an up-to-date and consistent image of the volume groups available in the system. By default, lvmetad, even if running, is not used by LVM. See lvm.conf(5).

OPTIONS

-l {all|wire|debug}
    Select the type of log messages to generate. Messages are logged by syslog. Additionally, when -f is given they are also sent to standard error. Since release 2.02.98, there are two classes of messages: wire and debug. Selecting 'all' supplies both and is equivalent to a comma-separated list -l wire,debug. Prior to release 2.02.98, repeating -d from 1 to 3 times, viz. -d, -dd, -ddd, increased the detail of messages.

-f  Don't fork, run in the foreground.

-h, -?
    Show help information.

-s path
    Path to the socket file to use. The option overrides both the built-in default (#DEFAULT_RUN_DIR#/lvmetad.socket) and the environment variable LVM_LVMETAD_SOCKET.

-V  Display the version of lvmetad daemon.

ENVIRONMENT VARIABLES

LVM_LVMETAD_SOCKET
    override path for socket file to use.

SEE ALSO
lvm(8), lvm.conf(5)